aboutsummaryrefslogtreecommitdiffstats
path: root/extra/pcmciautils/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'extra/pcmciautils/APKBUILD')
-rw-r--r--extra/pcmciautils/APKBUILD21
1 files changed, 21 insertions, 0 deletions
diff --git a/extra/pcmciautils/APKBUILD b/extra/pcmciautils/APKBUILD
new file mode 100644
index 0000000000..f11f6e06bf
--- /dev/null
+++ b/extra/pcmciautils/APKBUILD
@@ -0,0 +1,21 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=pcmciautils
+pkgver=015
+pkgrel=0
+pkgdesc="Utilities for inserting and removing PCMCIA cards"
+url="http://kernel.org/pub/linux/utils/kernel/pcmcia/pcmcia.html"
+license="GPL"
+subpackages="$pkgname-doc"
+depends="uclibc sysfsutils"
+makedepends="sysfsutils-dev bison flex"
+source="http://kernel.org/pub/linux/utils/kernel/pcmcia/$pkgname-$pkgver.tar.bz2"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+# sed -i -e 's,/usr/bin/install,/bin/install,g' Makefile
+ make build/ccdv || return 1
+ make LEX=flex || return 1
+ make DESTDIR="$pkgdir"/ install
+ ln -sf pccardctl "$pkgdir"/sbin/lspcmcia
+}
+md5sums="9e12435c8b6cf7bf59894e90e480b4aa pcmciautils-015.tar.bz2"